"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Object.
 */
class ArrowFunctionMutator {
    constructor() {
        this.name = 'ArrowFunction';
    }
    mutate(node) {
        return types.isArrowFunctionExpression(node) && !types.isBlockStatement(node.body)
            ? [[node, { raw: '() => undefined' }]] // raw string replacement
            : [];
    }
}
exports.default = ArrowFunctionMutator;
//# sourceMappingURL=ArrowFunctionMutator.js.map