"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
class UpdateOperatorMutator {
    constructor() {
        this.name = 'UpdateOperator';
        this.operators = {
            '++': '--',
            '--': '++',
        };
    }
    mutate(node) {
        return types.isUpdateExpression(node) && this.operators[node.operator] !== undefined
            ? [[node, NodeGenerator_1.NodeGenerator.createMutatedCloneWithProperties(node, { operator: this.operators[node.operator] })]]
            : [];
    }
}
exports.default = UpdateOperatorMutator;
//# sourceMappingURL=UpdateOperatorMutator.js.map